function weighted_mean, value, rms
;
;	computes weighted mean of values, using 1/rms^2 weighting
;
;	returns mean, uncert of mean
;
n = N_ELEMENTS(value)
;
wts = 1./(rms^2)
;
v_wt = wts*0.0
;
twts = TOTAL(wts)
szv = 1./sqrt(twts)
zv = TOTAL(value*wts) / twts
;
return, [zv,szv]
end
