; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	12/22/2016 13:22.53
; 
pro Top_Level_Base_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='Top_Level_Base'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Launch_File_Chooser'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Launch_File_Chooser, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Start_Analysis'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Test_POLCATS, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Button_Exit'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        MSP_EB_Exit, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Plot_Wait_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        Toggle_Plot_Wait_Checkbox, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Textbox_Term_1'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Textbox_Term_7'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Textbox_Term_4'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Textbox_Term_3'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Textbox_Term_2'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Textbox_Term_5'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='Textbox_Term_6'): begin
    end
    else:
  endcase

end

pro Top_Level_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

  Resolve_Routine, 'MSP_EB_Detector_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  Top_Level_Base = Widget_Base( GROUP_LEADER=wGroup,  $
      UNAME='Top_Level_Base' ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=1240  $
      ,SCR_YSIZE=721 ,NOTIFY_REALIZE='MSP_EB_Realize' ,TITLE='Mimir'+ $
      ' Software Package - POLCAT Problem Finder - V1.1.0 20161023'  $
      ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  MSP_EB_PostCreation, Top_Level_Base, _EXTRA=_VWBExtra_

  
  Draw_Window_UL = Widget_Draw(Top_Level_Base, UNAME='Draw_Window_UL'  $
      ,XOFFSET=786 ,YOFFSET=1 ,SCR_XSIZE=431 ,SCR_YSIZE=354)

  
  Draw_Window_UR = Widget_Draw(Top_Level_Base, UNAME='Draw_Window_UR'  $
      ,XOFFSET=362 ,YOFFSET=364 ,SCR_XSIZE=415 ,SCR_YSIZE=161)

  
  Draw_Window_LL = Widget_Draw(Top_Level_Base, UNAME='Draw_Window_LL'  $
      ,XOFFSET=363 ,YOFFSET=531 ,SCR_XSIZE=413 ,SCR_YSIZE=154)

  
  Draw_Window_LR = Widget_Draw(Top_Level_Base, UNAME='Draw_Window_LR'  $
      ,XOFFSET=787 ,YOFFSET=362 ,SCR_XSIZE=431 ,SCR_YSIZE=162)

  
  WID_LABEL_1 = Widget_Label(Top_Level_Base, UNAME='WID_LABEL_1'  $
      ,XOFFSET=12 ,YOFFSET=10 ,/ALIGN_LEFT ,VALUE='1. Select POLCATS'+ $
      ' to Examine')

  
  Button_Launch_File_Chooser = Widget_Button(Top_Level_Base,  $
      UNAME='Button_Launch_File_Chooser' ,XOFFSET=228 ,YOFFSET=7  $
      ,/ALIGN_CENTER ,VALUE='Launch File Chooser')

  
  Textbox_History = Widget_Text(Top_Level_Base,  $
      UNAME='Textbox_History' ,XOFFSET=2 ,YOFFSET=429 ,SCR_XSIZE=341  $
      ,SCR_YSIZE=246 ,/SCROLL ,XSIZE=50 ,YSIZE=17)

  
  WID_LABEL_2 = Widget_Label(Top_Level_Base, UNAME='WID_LABEL_2'  $
      ,XOFFSET=16 ,YOFFSET=315 ,/ALIGN_LEFT ,VALUE='3. Perform'+ $
      ' Analyses')

  
  Button_Start_Analysis = Widget_Button(Top_Level_Base,  $
      UNAME='Button_Start_Analysis' ,XOFFSET=176 ,YOFFSET=332  $
      ,/ALIGN_CENTER ,VALUE='Start POLCAT(s) Examination')

  
  WID_LABEL_3 = Widget_Label(Top_Level_Base, UNAME='WID_LABEL_3'  $
      ,XOFFSET=13 ,YOFFSET=74 ,/ALIGN_LEFT ,VALUE='2. Modify'+ $
      ' Selection, Processing, Plotting Terms, if Necessary')

  
  Button_Exit = Widget_Button(Top_Level_Base, UNAME='Button_Exit'  $
      ,XOFFSET=280 ,YOFFSET=389 ,SCR_XSIZE=32 ,SCR_YSIZE=21  $
      ,/ALIGN_CENTER ,VALUE='Exit')

  
  WID_BASE_0 = Widget_Base(Top_Level_Base, UNAME='WID_BASE_0'  $
      ,XOFFSET=48 ,YOFFSET=38 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  Plot_Wait_Checkbox = Widget_Button(WID_BASE_0,  $
      UNAME='Plot_Wait_Checkbox' ,/ALIGN_LEFT ,VALUE='For Multiple'+ $
      ' POLCATS, Wait After Each POLCAT')

  
  Classification_Draw_Window = Widget_Draw(Top_Level_Base,  $
      UNAME='Classification_Draw_Window' ,FRAME=1 ,XOFFSET=20  $
      ,YOFFSET=353 ,SCR_XSIZE=132 ,SCR_YSIZE=23)

  
  Classification_Label = Widget_Label(Top_Level_Base,  $
      UNAME='Classification_Label' ,XOFFSET=156 ,YOFFSET=370  $
      ,/ALIGN_LEFT ,VALUE='Test Results')

  
  Draw_Window_BT = Widget_Draw(Top_Level_Base, UNAME='Draw_Window_BT'  $
      ,XOFFSET=786 ,YOFFSET=532 ,SCR_XSIZE=430 ,SCR_YSIZE=152)

  
  Draw_Window_BB = Widget_Draw(Top_Level_Base, UNAME='Draw_Window_BB'  $
      ,FRAME=1 ,XOFFSET=19 ,YOFFSET=394 ,SCR_XSIZE=57 ,SCR_YSIZE=22)

  
  Draw_Window_Main = Widget_Draw(Top_Level_Base,  $
      UNAME='Draw_Window_Main' ,XOFFSET=363 ,YOFFSET=3 ,SCR_XSIZE=413  $
      ,SCR_YSIZE=352)

  
  WID_LABEL_0 = Widget_Label(Top_Level_Base, UNAME='WID_LABEL_0'  $
      ,XOFFSET=84 ,YOFFSET=404 ,/ALIGN_LEFT ,VALUE='Overall Finding')

  
  WID_BASE_1 = Widget_Base(Top_Level_Base, UNAME='WID_BASE_1'  $
      ,FRAME=1 ,XOFFSET=19 ,YOFFSET=103 ,SCR_XSIZE=200 ,SCR_YSIZE=80  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  WID_LABEL_4 = Widget_Label(WID_BASE_1, UNAME='WID_LABEL_4'  $
      ,XOFFSET=27 ,YOFFSET=2 ,/ALIGN_LEFT ,VALUE='Data Selection'+ $
      ' Parameters')

  
  Textbox_Term_1 = Widget_Text(WID_BASE_1, UNAME='Textbox_Term_1'  $
      ,XOFFSET=9 ,YOFFSET=50 ,EVENT_FUNC='Modify_Term1' ,/EDITABLE  $
      ,/ALL_EVENTS ,XSIZE=10 ,YSIZE=1)

  
  Term_1_Label = Widget_Label(WID_BASE_1, UNAME='Term_1_Label'  $
      ,XOFFSET=80 ,YOFFSET=48 ,SCR_XSIZE=100 ,SCR_YSIZE=18  $
      ,/ALIGN_LEFT ,VALUE='Term 1')

  
  Textbox_Term_7 = Widget_Text(WID_BASE_1, UNAME='Textbox_Term_7'  $
      ,XOFFSET=8 ,YOFFSET=22 ,EVENT_FUNC='Modify_Term7' ,/EDITABLE  $
      ,/ALL_EVENTS ,XSIZE=10 ,YSIZE=1)

  
  Term_7_Label = Widget_Label(WID_BASE_1, UNAME='Term_7_Label'  $
      ,XOFFSET=80 ,YOFFSET=24 ,SCR_XSIZE=100 ,SCR_YSIZE=18  $
      ,/ALIGN_LEFT ,VALUE='Term 7')

  
  WID_BASE_2 = Widget_Base(Top_Level_Base, UNAME='WID_BASE_2'  $
      ,FRAME=1 ,XOFFSET=165 ,YOFFSET=193 ,SCR_XSIZE=196  $
      ,SCR_YSIZE=109 ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  WID_LABEL_5 = Widget_Label(WID_BASE_2, UNAME='WID_LABEL_5'  $
      ,XOFFSET=26 ,YOFFSET=5 ,/ALIGN_LEFT ,VALUE='Diagonal Binning'+ $
      ' Parameters')

  
  Term_4_Label = Widget_Label(WID_BASE_2, UNAME='Term_4_Label'  $
      ,XOFFSET=79 ,YOFFSET=84 ,SCR_XSIZE=100 ,SCR_YSIZE=15  $
      ,/ALIGN_LEFT ,VALUE='Term 4')

  
  Textbox_Term_4 = Widget_Text(WID_BASE_2, UNAME='Textbox_Term_4'  $
      ,XOFFSET=7 ,YOFFSET=81 ,EVENT_FUNC='Modify_Term4' ,/EDITABLE  $
      ,/ALL_EVENTS ,XSIZE=10 ,YSIZE=1)

  
  Term_3_Label = Widget_Label(WID_BASE_2, UNAME='Term_3_Label'  $
      ,XOFFSET=77 ,YOFFSET=58 ,SCR_XSIZE=100 ,SCR_YSIZE=15  $
      ,/ALIGN_LEFT ,VALUE='Term 3')

  
  Textbox_Term_3 = Widget_Text(WID_BASE_2, UNAME='Textbox_Term_3'  $
      ,XOFFSET=9 ,YOFFSET=53 ,EVENT_FUNC='Modify_Term3' ,/EDITABLE  $
      ,/ALL_EVENTS ,XSIZE=10 ,YSIZE=1)

  
  Term_2_Label = Widget_Label(WID_BASE_2, UNAME='Term_2_Label'  $
      ,XOFFSET=79 ,YOFFSET=29 ,SCR_XSIZE=100 ,SCR_YSIZE=15  $
      ,/ALIGN_LEFT ,VALUE='Term 2')

  
  Textbox_Term_2 = Widget_Text(WID_BASE_2, UNAME='Textbox_Term_2'  $
      ,XOFFSET=9 ,YOFFSET=27 ,EVENT_FUNC='Modify_Term2' ,/EDITABLE  $
      ,/ALL_EVENTS ,XSIZE=10 ,YSIZE=1)

  
  WID_BASE_3 = Widget_Base(Top_Level_Base, UNAME='WID_BASE_3'  $
      ,FRAME=1 ,XOFFSET=3 ,YOFFSET=207 ,SCR_XSIZE=159 ,SCR_YSIZE=88  $
      ,TITLE='IDL' ,SPACE=3 ,XPAD=3 ,YPAD=3)

  
  WID_LABEL_6 = Widget_Label(WID_BASE_3, UNAME='WID_LABEL_6'  $
      ,XOFFSET=35 ,YOFFSET=5 ,/ALIGN_LEFT ,VALUE='Plotting'+ $
      ' Parameters')

  
  Term_5_Label = Widget_Label(WID_BASE_3, UNAME='Term_5_Label'  $
      ,XOFFSET=77 ,YOFFSET=58 ,SCR_XSIZE=77 ,SCR_YSIZE=18  $
      ,/ALIGN_LEFT ,VALUE='Term 5')

  
  Textbox_Term_5 = Widget_Text(WID_BASE_3, UNAME='Textbox_Term_5'  $
      ,XOFFSET=6 ,YOFFSET=58 ,EVENT_FUNC='Modify_Term5' ,/EDITABLE  $
      ,/ALL_EVENTS ,XSIZE=10 ,YSIZE=1)

  
  Term_6_Label = Widget_Label(WID_BASE_3, UNAME='Term_6_Label'  $
      ,XOFFSET=74 ,YOFFSET=33 ,SCR_XSIZE=80 ,SCR_YSIZE=15  $
      ,/ALIGN_LEFT ,VALUE='Term 6')

  
  Textbox_Term_6 = Widget_Text(WID_BASE_3, UNAME='Textbox_Term_6'  $
      ,XOFFSET=6 ,YOFFSET=28 ,EVENT_FUNC='Modify_Term6' ,/EDITABLE  $
      ,/ALL_EVENTS ,XSIZE=10 ,YSIZE=1)

  Widget_Control, /REALIZE, Top_Level_Base

  XManager, 'Top_Level_Base', Top_Level_Base, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro MSP_EB_Detector, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  Top_Level_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
